<?php

declare(strict_types=1);

namespace App\Controller\Api\v1;

use App\Controller\AbstractController;
use App\Master\Framework\Library\Tencent\TencentIm;
use App\Utils\AppResult;
use App\Utils\Control\AuthUser;

/**
 * 公共管理
 * CommonController
 */
class CommonController extends AbstractController
{
    // 日志模块名称
    const LOG_MODULE = 'v1/CommonController';

    public function config()
    {
        return AppResult::success('success',[
            'keyword_filter' => explode('|',site('keyword_filter')),
            'bug'=>[
                'time' => ['刚刚','5分钟前','15分钟前','30分钟前'],
                'question' => [
                    [
                        'label' => '音频异常',
                        'child' => ['声音有回声','没有声音','电流声']
                    ],
                    [
                        'label' => '卡顿问题',
                        'child' => ['画面卡顿','音画不同步','声音卡顿']
                    ],
                    [
                        'label' => '功能异常',
                        'child' => ['发不了评论']
                    ]
                ]
            ]
        ]);
    }

    // 获取腾讯 userSig
    public function get_user_sig()
    {
        $user = AuthUser::getInstance()->get();
        return AppResult::success(result: [
            'userSig' => (new TencentIm())->userSig("user_{$user['id']}")
        ]);
    }
}