<?php

declare(strict_types=1);

namespace App\Controller\Api\v1;

use App\Controller\AbstractController;
use App\Model\Arts\SmsCodeModel;
use App\Request\Api\v1\Sms\SendRequest;
use App\Utils\AppResult;

/**
 * 短信
 * 示例
 */
class SmsController extends AbstractController
{
    // 日志模块名称
    const LOG_MODULE = 'v1/SmsController';

    public function send(SendRequest $request)
    {
        $params = $request->validated();
        $sms = new SmsCodeModel();
        if (!$sms->send($params['mobile'], $params['event'])) {
            return AppResult::error($sms->getMessage());
        }

        return AppResult::success('发送成功');
    }

}