<?php
declare(strict_types=1);

namespace App\Master\Enum;

use Hyperf\Constants\AbstractConstants;
use Hyperf\Constants\Annotation\Constants;

#[Constants]
class RedisKeyEnum extends AbstractConstants
{
    /**
     * @Message("用户信息")
     */
    const ORDER_NO                 = 'ORDER_NO:';                // 订单编号
    const NO                       = 'NO:';                // 编号
    const API_REQUEST_TRAFFIC      = 'API_REQUEST_TRAFFIC:';     // 接口流量
    const WX_MINI_APP_ACCESS_TOKEN = 'WX_MINI_APP_ACCESS_TOKEN:';// 微信 小程序 access_token
    const TOKEN_ONCE               = 'TOKEN_ONCE:';              // 设置唯一token
    const TOKEN_TIME               = 'TOKEN_TIME:';              // 设置token时间
    const SEND_SMS_TIMEOUT_TIMES   = 'SEND_SMS_TIMEOUT_TIMES:';  // 短信发送次数限制
    const SEND_SMS_TIMES           = 'SEND_SMS_TIMES:';          // 短信发送次数
    const SEND_SMS_MOBILE          = 'SEND_SMS_MOBILE:';         // 手机号短信发送次数
    const SMS_MOBILE_CHECK         = 'SMS_MOBILE_CHECK:';         // 手机号短信校验次数
    const FA_SITE_SETUP            = 'FA_SITE_SETUP:';           // fastadmin site.php
    const ROOM_USER_LIST           = 'ROOM_USER_LIST:';     // 直播间用户列表
    const ROOM_USER_IN             = 'ROOM_USER_IN:';     // 直播间用户列表
    const ROOM_SEND_DATA           = 'ROOM_SEND_DATA:';     // 直播间属性数据更新
    const ROOM_BLACK               = 'ROOM_BLACK:';     // 直播间黑名单
    const ROOM_SHUT_UP               = 'ROOM_SHUT_UP:';     // 直播间黑名单
}
