<?php

declare(strict_types=1);

namespace App\Request\Api\v1;

use Hyperf\Validation\Request\FormRequest;

class WechatMiniAppCode extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'code'    => 'required|string'
        ];
    }

    /**
     * 获取已定义验证规则的错误消息
     */
    public function messages(): array
    {
        return [
            'code.required' => 'code不能为空',
        ];
    }

    /**
     * 验证的各字段的含义
     * @return array|string[]
     */
    public function attributes(): array
    {
        return [
            'code' => 'code',
        ];
    }
}
