<?php

declare(strict_types=1);

/**
 * This file is part of Hyperf.
 *
 * @link     https://www.hyperf.io
 * @document https://hyperf.wiki
 * @contact  group@hyperf.io
 * @license  https://github.com/hyperf/hyperf/blob/master/LICENSE
 */

use Hyperf\HttpServer\Router\Router;
use App\Middleware\ApiSign;
use App\Controller\Api\Notify\TencentImController;
use App\Controller\Api\v1\CommonController;
use App\Controller\Api\v1\DemoController;
use App\Controller\Api\v1\LiveController;

/**
 * Version 1.0
 */
Router::addGroup('/v1', function () {
    Router::addRoute(['GET','POST'],'/plantask/autoyeji', [PlantaskController::class, 'autoyeji']);

    // 该 Group 下的所有路由都将应用配置的中间件
    /*Router::addGroup('/notify', function () {
        Router::get('/tencent/im/callback', [TencentImController::class, 'callback']);
    });*/

    // 需登录
    /*Router::addGroup('/auth', function () {

        Router::post('/common/config', [CommonController::class, 'config']);
        Router::post('/common/get_user_sig', [CommonController::class, 'get_user_sig']);

        Router::post('/live/room_list', [LiveController::class, 'room_list']);
        Router::post('/live/room_detail', [LiveController::class, 'room_detail']);
        Router::post('/live/room_add', [LiveController::class, 'room_add']);
        Router::post('/live/room_close', [LiveController::class, 'room_close']);
        Router::post('/live/room_join', [LiveController::class, 'room_join']);
        Router::post('/live/room_leave', [LiveController::class, 'room_leave']);
        Router::post('/live/admin_list', [LiveController::class, 'admin_list']);
        Router::post('/live/admin_add', [LiveController::class, 'admin_add']);
        Router::post('/live/admin_del', [LiveController::class, 'admin_del']);
        Router::post('/live/user_info', [LiveController::class, 'user_info']);
        Router::post('/live/user_remove', [LiveController::class, 'user_remove']);
        Router::post('/live/shut_up_list', [LiveController::class, 'shut_up_list']);
        Router::post('/live/shut_up', [LiveController::class, 'shut_up']);
        Router::post('/live/black_list', [LiveController::class, 'black_list']);
        Router::post('/live/black_add', [LiveController::class, 'black_add']);
        Router::post('/live/black_remove', [LiveController::class, 'black_remove']);
        Router::post('/live/audience', [LiveController::class, 'audience']);
        Router::post('/live/like', [LiveController::class, 'like']);
        Router::post('/live/follow', [LiveController::class, 'follow']);
        Router::post('/live/top', [LiveController::class, 'top']);
        Router::post('/live/talk_set', [LiveController::class, 'talk_set']);
        Router::post('/live/suggest', [LiveController::class, 'suggest']);
        Router::post('/live/report', [LiveController::class, 'report']);

        Router::post('/live/keyword_filter_list', [LiveController::class, 'keyword_filter_list']);
        Router::post('/live/keyword_filter_add', [LiveController::class, 'keyword_filter_add']);
        Router::post('/live/keyword_filter_del', [LiveController::class, 'keyword_filter_del']);

    }, ['middleware' => [ApiSign::class]]);*/
});